OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - p -

- p : PixelColour, StringListReader
- packet_queue : NetworkTCPSocketHandler
- packet_recv : NetworkTCPSocketHandler
- packets : CargoList< Tinst, Tcont >, PacketWriter
- pad : LanguagePackHeader
- padding : NWidgetBase, NWidgetPart::NWidgetPartUnion
- page : StoryPageElement
- pal : BridgeSpec, PalSpriteID, ParentSpriteToDraw
- pal_identity : OpenGLSprite
- pal_pbo : OpenGLSprite
- pal_program : OpenGLBackend
- pal_tex : OpenGLSprite
- pal_texture : OpenGLBackend
- palette : Blitter_32bppAnim, DropDownIcon< TBase, TEnd >, GraphicsSet, GRFConfig, Palette, TileLayoutRegisters, VideoDriver_CocoaQuartz
- palette_remap : SpriteFile
- palette_size : BmpInfo
- palette_var10 : TileLayoutRegisters
- pan_to_next : IntroGameViewportCommand
- panel_widths : NWidgetScenarioToolbarContainer
- param : GRFConfig
- param_info : GRFConfig
- param_nr : GRFParameterInfo
- param_value : GRFError
- parameter : DeterministicSpriteGroupAdjust
- parameters : StringParameters
- params : FoundTownWindow
- parent : CargoDataEntry, FontCache, Group, NWidgetBase, Path, StringParameters, TileLayoutRegisters, Window
- parent_button : DropdownWindow
- parent_cls : WindowDesc
- parent_scope : VehicleResolverObject
- parent_sprites_to_sort : ViewportDrawer
- part_of_subsidy : Industry, TownCache
- participate_survey : NetworkSettings
- partlists : GRFTownName
- parts : NamePartList
- passenger_capacity : AircraftVehicleInfo
- password : NetworkAuthenticationDefaultPasswordProvider, NetworkAuthenticationPasswordRequestHandler
- password_provider : X25519PAKEServerHandler
- path : FileWriter, RoadVehicle, Ship
- path_backoff_interval : PathfinderSettings
- paths : LinkGraphJob::NodeAnnotation
- pause_on_join : NetworkSettings
- pause_on_newgame : GUISettings
- payment : CargoDelivery
- PAYMENT_GRAPH_X_STEP_DAYS : BaseGraphWindow
- PAYMENT_GRAPH_X_STEP_SECONDS : BaseGraphWindow
- peer_public_key : ServerNetworkGameSocketHandler, X25519AuthenticationHandler
- performance : NetworkCompanyInfo
- performance_history : CompanyEconomyEntry
- period : BaseTimer< TTimerType >
- periods : HistoryRange
- periods_in_transit : CargoPacket
- persistent_buildingtools : GUISettings
- persistent_mapping_supported : OpenGLBackend
- pf : GameSettings
- picker : WidgetDimensions
- picker_title : RoadTypeInfo
- picker_tooltip : RoadTypeInfo
- pillar_flags : BridgeSpec
- pip : NWidgetPart::NWidgetPartUnion
- pip_inter : NWidgetPIPContainer
- pip_post : NWidgetPIPContainer
- pip_pre : NWidgetPIPContainer
- pip_ratio_inter : NWidgetPIPContainer
- pip_ratio_post : NWidgetPIPContainer
- pip_ratio_pre : NWidgetPIPContainer
- pitch : Blitter::BlitterParams
- pixel_buffer : VideoDriver_CocoaQuartz
- pixels : Textbuf
- place_houses : EconomySettings
- place_mode : TileHighlightData
- plane_crashes : VehicleSettings
- plane_speed : VehicleSettings
- planned : LinkProperties
- platforms : RailStationTileLayout
- playing : MusicSettings
- playlist : MusicSettings
- playpos : MpsMachine::Channel
- plugin_api : InternalSocialIntegrationPlugin
- plugin_info : InternalSocialIntegrationPlugin
- plural_count : PluralForm
- plural_form : LanguageMap, LanguagePackHeader
- population : HouseSpec, TownCache
- population_in_label : GUISettings
- pos : Aircraft, CursorSprite, CursorVars, Packet, RandomAccessFile, Scrollbar, TileHighlightData
- pos_x : NWidgetBase
- pos_y : NWidgetBase
- position : AirportFTA, AirportFTAbuildup, AlternatingIterator< Titer >, DropdownWindow, ErrorMessageData, FaceVar, IntroGameViewportCommand, RailStationTileLayout::Iterator
- position_consist_length : NewGRFCache
- position_in_vehicle : NewGRFCache
- position_same_id_length : NewGRFCache
- positions : FallbackParagraphLayout::FallbackVisualRun, ICURun
- post : NWidgetPartPIP
- post_callback : IntSettingDesc, StringSettingDesc
- pow_wag_power : RailVehicleInfo
- pow_wag_weight : RailVehicleInfo
- power : RailVehicleInfo, RoadVehicleInfo
- powered_railtypes : RailTypeInfo
- powered_roadtypes : RoadTypeInfo
- pre_check : IntSettingDesc, StringSettingDesc
- pref_height : WindowDesc
- pref_sticky : WindowDesc
- pref_width : WindowDesc
- prefer_sprite : FontCacheSettings
- prefer_teamchat : GUISettings
- prefix : AutoCompletion, CurrencySpec
- preset : NewGRFWindow
- presetname_editbox : SavePresetWindow
- presets : SavePresetWindow
- president_name : CompanyNewsInformation, CompanyProperties
- president_name_1 : CompanyProperties
- president_name_2 : CompanyProperties
- prev : HeaderFileWriter
- prev_index : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- prev_storage : PersistentStorageArray< TYPE, SIZE >
- preview_asked : Engine
- PREVIEW_BOTTOM : PickerWindow
- preview_company : Engine
- preview_height : PickerCallbacks, PickerWindow
- PREVIEW_HEIGHT : PickerWindow
- PREVIEW_LEFT : PickerWindow
- preview_sprite : AirportSpec, BuildAirportWindow
- preview_wait : Engine
- PREVIEW_WIDTH : PickerWindow
- previous : Vehicle
- previous_gui_scale : GameOptionsWindow
- previous_pos : Aircraft
- previous_shared : Vehicle
- price : BridgeSpec
- price_base_multipliers : GRFFile
- print_func : Squirrel
- priority : DriverFactoryBase
- prob : NamePart
- probability : HouseSpec, IndustryTypeBuildData
- proc : Button< T >, CheatEntry, GenWorldInfo, IConsoleCmd, OldChunks, QueryWindow
- processing_time : HouseSpec
- prod_level : Industry
- produced : Industry
- produced_cargo_filter_criteria : IndustryDirectoryWindow
- produced_cargo_label : IndustrySpec
- production : Industry::ProducedHistory, Town::SuppliedHistory
- production_down_text : IndustrySpec
- production_nobody : NewsSettings
- production_offset_y : IndustryViewWindow
- production_other : NewsSettings
- production_player : NewsSettings
- production_up_text : IndustrySpec
- profit_last_year : GroupStatistics, Vehicle
- profit_last_year_min_age : GroupStatistics
- profit_this_year : Vehicle
- programvelocities : MpsMachine
- progress : Goal, Vehicle
- proj : BaseGraphWindow::Filler< Tprojection >
- prop : NIProperty
- properties : NIFeature
- prospecting_chance : IndustrySpec
- psa : Airport, Industry
- ptr : OldChunks
- public_key : NetworkClientInfo